# typed: strict
# frozen_string_literal: true

module Stats
  class LogarithmicEquation < TransformedEquation
    extend T::Sig

    protected

    sig { override.params(x: String).returns(String) }
    def transform_symbol(x)
      "ln(#{x})"
    end
  end
end
